## org.jvnet.maven.plugin.antrun
Class AntRunMojo

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.jvnet.maven.plugin.antrun.AbstractAntMojo
              org.jvnet.maven.plugin.antrun.AntRunMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class AntRunMojo

extends AbstractAntMojo

Maven AntRun Mojo. This plugin provides the capability of calling Ant tasks from a POM by running the nested ant tasks inside the <tasks/> parameter. It is encouraged to move the actual tasks to a separate build.xml file and call that file with an <ant/> task.

Version:
  $Id: AntRunMojo.java 557316 2007-07-18 16:29:17Z kenney $
Author:
  Kenney Westerhof, Vincent Siveton

Field Summary
`protected org.apache.maven.artifact.metadata.ArtifactMetadataSource` `artifactMetadataSource`

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`AntRunMojo()`

Method Summary
`protected void` `configureProject(org.apache.tools.ant.Project antProject)` Provides an opportunity for derived types to customize Ant project.
`void` `execute()`

Methods inherited from class org.jvnet.maven.plugin.antrun.AbstractAntMojo
`executeTasks, executeTasks, getPathFromArtifacts`

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### artifactMetadataSource

    protected org.apache.maven.artifact.metadata.ArtifactMetadataSource artifactMetadataSource

Constructor Detail

### AntRunMojo

    public AntRunMojo()

Method Detail

### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

  Throws:
    `org.apache.maven.plugin.MojoExecutionException`
  See Also:
    `Mojo.execute()`

### configureProject

    protected void configureProject(org.apache.tools.ant.Project antProject)

  Description copied from class: `AbstractAntMojo`
  Provides an opportunity for derived types to customize Ant project.

  Overrides:
    `configureProject` in class `AbstractAntMojo`

Copyright © 2011. All Rights Reserved.